[coreboot] PATCH: do not rely on "tempfile" being available

Bernie Innocenti bernie at codewiz.org
Wed Sep 2 22:12:21 CEST 2009


Signed-off-by: Bernie Innocenti <bernie at codewiz.org>

Build fix: add a fallback for systems where tempfile is missing

Index: bin/show-instructions.sh
===================================================================
--- bin/show-instructions.sh	(revision 261)
+++ bin/show-instructions.sh	(working copy)
@@ -1,6 +1,6 @@
 #!/bin/sh
 
-tmp=`tempfile`
+tmp=`tempfile 2>/dev/null || echo /tmp/show-instructions.$$`
 cat $1 | sed -e "s:%DESTFILE%:$2:" > $tmp
 
 if [ -x `dirname $0`/../scripts/kconfig/lxdialog/lxdialog ]; then

-- 
   // Bernie Innocenti - http://codewiz.org/
 \X/  Sugar Labs       - http://sugarlabs.org/





More information about the coreboot mailing list